Page MenuHomePhabricator

Technical change to WikidataPageBanner - projects using it now show mobile site notices
Closed, ResolvedPublic

Description

A technical change (T254295) to the WikidataPageBanner means that any site notice enabled on the site will now display to mobile users as well as desktop users.

Users of projects using WikidataPageBanner are advised to update their usage instructions on MediaWiki:Sitenotice to encourage editors enabling site notices to test and style (or hide!) their banner via CSS on mobile.

If you have any questions about how to do this, please feel free to ping @Jdlrobson on wiki or reply to this tech use notice.

Impacted projects are Wikivoyage, Russian Wikimedia, Catalan, Basque, Galician and Turkish Wikipedia

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2020, 11:15 PM
Jdlrobson updated the task description. (Show Details)Jun 8 2020, 9:54 PM
Omondi added a subscriber: Omondi.Jun 10 2020, 6:55 PM

Why all the page banners disappeared ?

JSaezAndroid added a subscriber: JSaezAndroid.EditedJun 10 2020, 11:59 PM

@Jdlrobson @Omondi
Here are some examples. Pagebanners disappeared after page load on:

  • es.wikivoyage
  • fr.wikivoyage
  • vi.wikivoyage

I have tried that on fr.wikivoyage but it doesn't work. Using Firefox, if I put "javascript.enabled" on false, the pages banners are back but that's not a solution.

I have tried that on fr.wikivoyage but it doesn't work. Using Firefox, if I put "javascript.enabled" on false, the pages banners are back but that's not a solution.

It works fine for me without JavaScript. Do you get the same problem when you put safemode=1 at the end of the URL? e.g. https://fr.wikivoyage.org/wiki/Gastronomie_bruxelloise?safemode=1

@Omondi: Could you please answer the last comment? Thanks!

@Aklapper this got resolved on wiki eventually. I don't the link handy but it was a problem with a gadget.

Aklapper added a subscriber: Johan.Jun 24 2020, 4:38 PM

Ah, glad to hear that got resolved!

(Plus wondering if this task should remain open as there are no other project tags here, but @Johan probably knows best?)

Johan closed this task as Resolved.Jun 24 2020, 11:49 PM
Johan claimed this task.

If it's resolved I see no reason to keep it open.

Restricted Application added a project: User-Johan. · View Herald TranscriptJun 24 2020, 11:49 PM
Johan removed Johan as the assignee of this task.Jun 24 2020, 11:49 PM
Johan removed a project: User-Johan.